
Foreman - Bug #11465

In host/hostgroup parameters form, tables that are empty should display helpful text

08/24/2015 09:45 AM - Tomer Brisker

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Bug #11683: Spinner in puppet class parameters spinning ... Closed 09/04/2015

Blocks Foreman - Tracker #10467: Parameter UI improvements in host and hostgr... New 05/11/2015

Blocked by Foreman - Bug #11658: In host/hostgroup form, removing puppetclass... Rejected 09/02/2015

Blocked by Foreman - Refactor #11458: Allow overriding parameters inline in h... Closed 08/24/2015

History

#1 - 08/24/2015 09:46 AM - Tomer Brisker

- Blocks Tracker #10467: Parameter UI improvements in host and hostgroup forms added

#2 - 09/01/2015 04:32 AM - Amir Fefer

- Assignee set to Amir Fefer

#3 - 09/01/2015 07:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2658 added

- Pull request deleted ()

#4 - 09/01/2015 08:21 AM - Tomer Brisker

- Assignee changed from Amir Fefer to Ondřej Pražák

#5 - 09/02/2015 07:14 AM - Ondřej Pražák

- Blocked by Bug #11658: In host/hostgroup form, removing puppetclasses in 'Puppet classes' tab does not trigger call to server added

#6 - 09/04/2015 03:27 AM - Ondřej Pražák

- Related to Bug #11683: Spinner in puppet class parameters spinning indefinitely on hostgroup creation added

#7 - 09/10/2015 10:43 AM - Tomer Brisker

- Blocked by Refactor #11458: Allow overriding parameters inline in host & hostgroup forms added

#8 - 09/10/2015 10:49 AM - Tomer Brisker

- Subject changed from In host/hostgroup parameters form, headers of tables that are empty should not be displayed to In host/hostgroup parameters

form, tables that are empty should display helpful text

This is in accordance with the Patternfly empty tables pattern.

#9 - 09/11/2015 03:10 AM - Dominic Cleal
https://www.patternfly.org/patterns/table/#grid-and-empty-table


- Status changed from Ready For Testing to New

- Assignee deleted (Ondřej Pražák)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2658)
